#
# spec file for package python-aubio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-aubio
Version:        0.4.6
Release:        lp150.3.10.1
Summary:        A collection of tools for music analysis
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
Url:            http://aubio.org/
Source:         http://aubio.org/pub/aubio-%{version}.tar.bz2
Source1:        http://aubio.org/pub/aubio-%{version}.tar.bz2.asc
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose2}
BuildRequires:  %{python_module numpy-devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-numpy
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
A python module to access the aubio library functions.

aubio is a library to label music and sounds. It listens to audio signals and attempts to detect events. For instance, when a drum is hit, at which frequency is a note, or at what tempo is a rhythmic melody.

Its features include segmenting a sound file before each of its attacks, performing pitch detection, tapping the beat and producing midi streams from live audio.

%prep
%setup -q -n aubio-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}/%{_bindir}/aubio
%python_clone -a %{buildroot}/%{_bindir}/aubiocut

%check
%ifpython3
export PYTHONPATH=%{buildroot}/%{python_sitearch}
%python_exec setup.py test
%endif

%post
%python_install_alternative aubio

%postun
%python_uninstall_alternative aubio

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md ChangeLog COPYING AUTHORS
%python_alternative %{_bindir}/aubio
%python_alternative %{_bindir}/aubiocut
%{python_sitearch}/*

%changelog
* Mon Jan  1 2018 coolo@suse.com
- update to 0.4.6
  This version includes:
  * yinfast, a new version of the YIN pitch detection algorithm,
    that uses spectral convolution to compute the same results as
    the original yin, but with a cost O(N log(N)), making it much
    faster than the plain implementation (O(N^2))
  * Intel IPP optimisations (thanks to Eduard Mueller)
  * improved support for emscripten (thanks to Martin Hermant),
    which compiles the aubio library as a javascript module and
    lets you run aubio's algorithm directly from within a web-page.
  0.4.6 also comes with several bug fixes and improvements.
* Mon Apr 24 2017 alarrosa@suse.com
- Use singlespec macros
- Update to 0.4.5:
  * aubio: New python command line tool to extract information
  * Improved default parameters for onset detection, using adaptive
    spectral whitening and compression
  * Add support for libswresample
  * New options --miditap-note and --miditap-velo have been added to
    aubioonset and aubiotrack to adjust the note and velocity of the
    midi note emitted by onsets and beats.
  * Add a bunch of fixes, including improved documentation, build
    system fixes, and platform compatibility.
* Mon Feb  6 2017 alarrosa@suse.com
- Initial release
